﻿@model IEnumerable<StyleViewModel>

@{
    Layout = "_Layout";
}
<body>
<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.StyleType)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Id)
            </th>
            @*<th>
                @Html.DisplayNameFor(model => model.CreatedOn)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ModifiedOn)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DeletedOn)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.IsDeleted)
            </th>*@
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.StyleType)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Id)
            </td>
            @*<td>
                @Html.DisplayFor(modelItem => item.CreatedOn)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ModifiedOn)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DeletedOn)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IsDeleted)
            </td>*@
            <td>
                <a asp-action="Details" asp-route-id="@item.Id">Details</a> |
                <a asp-action="Edit" asp-route-id="@item.Id">Edit</a> |
                <a asp-action="Delete" asp-route-id="@item.Id">Delete</a>
            </td>
        </tr>
}
    </tbody>
</table>
</body>
